This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 773175 - It now takes two clicks to start translating
It now takes two clicks to start translating
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.5-SNAPSHOT
Unspecified Unspecified
unspecified Severity unspecified
: Sprint-31
: 1.5
Assigned To: Alex Eng
Carlos Munoz
:
Depends On:
Blocks: zanata-1.5.0
  Show dependency treegraph
 
Reported: 2012-01-11 01:31 EST by Sean Flanigan
Modified: 2012-03-06 19:06 EST (History)
4 users (show)

See Also:
Fixed In Version: 1.5.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-06 19:06:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sean Flanigan 2012-01-11 01:31:10 EST
Description of problem:
As of 1.5, empty cells say "click here to start translating", but if the cell is not part of the current row, the first click just selects the row, and only the second click opens the editor.

Version-Release number of selected component (if applicable):
1.5-SNAPSHOT (2012-01-17)

How reproducible:
always

Steps to Reproduce:
1. click in the second row's editor cell
  
Actual results:
cell row is selected, but editor is not opened

Expected results:
cell row is selected, and editor is opened

Additional info:
Comment 1 Sean Flanigan 2012-01-11 01:47:51 EST
The same problem occurs when clicking from editor to editor.  The first editor cell closes, but the editor on the new row doesn't open unless I click in the editor area a second time.
Comment 3 Alex Eng 2012-02-14 00:21:20 EST
Re-implement with event based solution: See https://github.com/zanata/zanata/commit/3712e6a2a19057677bd1002b5e7532d70ffade4f
Comment 4 Sean Flanigan 2012-02-14 02:51:13 EST
Can you please make sure we only trigger the editor when using the left mouse button (and no modifiers)?  Having the editor trigger on RMB makes using DOM inspectors *extremely* difficult.
Comment 5 David Mason 2012-02-20 21:40:41 EST
Two clicks are still required to start translating. The editor now opens with one click, but about 90% of the time in Chrome and Firefox 3.6 the editor does not have focus, so translation cannot be initiated without an extra click to focus the editor.
Comment 8 Carlos Munoz 2012-02-23 19:40:55 EST
Works on Firefox 3.6, but on Chrome it still is not opening the editor on the first click. I found it will open the editor on the first click randomly when clicking just outside the "click here" text.
Comment 9 Carlos Munoz 2012-02-27 01:04:29 EST
Verified with Zanata version 1.5.0-alpha-3-SNAPSHOT (20120227-1458).

Note You need to log in before you can comment on or make changes to this bug.